# Interface IGroupByValue

Describe a single group by value, returned by a IGroupByResult

## Index

### Properties

- computedFieldResults
- lookupValue
- numberOfResults
- score
- value

## Properties

### Optional computedFieldResults

computedFieldResults: number[]

Overwrites IIndexFieldValue.computedFieldResults

- Defined in rest/GroupByValue.ts :26

If there was ny computed field request, the results will be available here.

### Optional lookupValue

lookupValue: string

Overwrites IIndexFieldValue.lookupValue

- Defined in rest/GroupByValue.ts :14

The lookup value if it was specified.

### numberOfResults

numberOfResults: number

Overwrites IIndexFieldValue.numberOfResults

- Defined in rest/GroupByValue.ts :18

The number of results that match this value in the index for this particular group by request

### score

score: number

- Defined in rest/GroupByValue.ts :22

The relevance score.

### value

value: string

Overwrites IIndexFieldValue.value

- Defined in rest/GroupByValue.ts :10

The string value. Think : Facet label.

### Hierarchy

- IIndexFieldValue